Package ru.bitel.bgbilling.plugins.edo.common.bean

# Enum Class GetEdoIdSettings.GetEdoIdSettingsMode

java.lang.Object
java.lang.Enum<GetEdoIdSettings.GetEdoIdSettingsMode>
ru.bitel.bgbilling.plugins.edo.common.bean.GetEdoIdSettings.GetEdoIdSettingsMode

All Implemented Interfaces:
  `Serializable`, `Comparable<GetEdoIdSettings.GetEdoIdSettingsMode>`, `Constable`

Enclosing class:
  `GetEdoIdSettings`

public static enum GetEdoIdSettings.GetEdoIdSettingsMode extends Enum<GetEdoIdSettings.GetEdoIdSettingsMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  `DISABLE`
  `MANUAL`
  `SPECIFIED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dbcode`
  `String`
  `title`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GetEdoIdSettings.GetEdoIdSettingsMode`
  `findByDbcode(int dbcode)`
  получение по dbcode енума или дефолтный DEFAULT вернёт если косяк
  `boolean`
  `isInfoRequired()`
  требует ли режим присутствия ContragentInfos, просто метод общий вместо кучи проверок по коду на ==
  `static GetEdoIdSettings.GetEdoIdSettingsMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GetEdoIdSettings.GetEdoIdSettingsMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DISABLE

    public static final GetEdoIdSettings.GetEdoIdSettingsMode DISABLE

  - ### MANUAL

    public static final GetEdoIdSettings.GetEdoIdSettingsMode MANUAL

  - ### DEFAULT

    public static final GetEdoIdSettings.GetEdoIdSettingsMode DEFAULT

  - ### SPECIFIED

    public static final GetEdoIdSettings.GetEdoIdSettingsMode SPECIFIED

- ## Field Details

  - ### dbcode

    public int dbcode

  - ### title

    public String title

- ## Method Details

  - ### values

    public static GetEdoIdSettings.GetEdoIdSettingsMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GetEdoIdSettings.GetEdoIdSettingsMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### findByDbcode

    public static GetEdoIdSettings.GetEdoIdSettingsMode findByDbcode(int dbcode)
    получение по dbcode енума или дефолтный DEFAULT вернёт если косяк

  - ### isInfoRequired

    public boolean isInfoRequired()
    требует ли режим присутствия ContragentInfos, просто метод общий вместо кучи проверок по коду на ==